Module ij
Package ij.util

# Class StringSorter

java.lang.Object
ij.util.StringSorter

public class StringSorter extends Object
A simple QuickSort for String arrays.

## Constructor Summary

Constructors
Constructor
Description
`StringSorter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`sort(String[] a)`
Sorts the array.
`static String[]`
`sortNumerically(String[] list)`
Sorts file names containing numerical components.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringSorter

public StringSorter()

## Method Details

### sort

public static void sort(String[] a)
Sorts the array.

### sortNumerically

public static String[] sortNumerically(String[] list)
Sorts file names containing numerical components. Author: Norbert Vischer